<?php
/**
 * Autoloader for all Symfony bridges/bundles/components and their dependencies.
 *
 * Created by php-symfony-2.8.52-1.el7.remi
 *
 * Note: This autoloader does not do any registration with the Doctrine
 * annotation registry (i.e. \Doctrine\Common\Annotations\AnnotationRegistry).
 *
 * @return \Symfony\Component\ClassLoader\ClassLoader
 */

require_once __DIR__ . '/Component/autoload.php';

if (!isset($fedoraClassLoader) || !($fedoraClassLoader instanceof \Symfony\Component\ClassLoader\ClassLoader)) {
    if (!class_exists('Symfony\\Component\\ClassLoader\\ClassLoader', false)) {
        require_once __DIR__ . '/ClassLoader/ClassLoader.php';
    }

    $fedoraClassLoader = new \Symfony\Component\ClassLoader\ClassLoader();
    $fedoraClassLoader->register();
}
$fedoraClassLoader->addPrefix('Symfony\\', dirname(__DIR__));

// Dependency autoloaders
foreach (array(
    '/usr/share/php/Doctrine/Bundle/DoctrineBundle/autoload.php',
    '/usr/share/php/Doctrine/Common/Annotations/autoload.php',
    '/usr/share/php/Doctrine/Common/autoload.php',
    '/usr/share/php/Doctrine/Common/Cache/autoload.php',
    '/usr/share/php/Doctrine/Common/DataFixtures/autoload.php',
    '/usr/share/php/Doctrine/DBAL/autoload.php',
    '/usr/share/php/Doctrine/ORM/autoload.php',
    '/usr/share/php/Egulias/EmailValidator/autoload.php',
    '/usr/share/php/Monolog/autoload.php',
    '/usr/share/php/ProxyManager/autoload.php',
    '/usr/share/php/Psr/Log/autoload.php',
    '/usr/share/php/Swift/swift_required.php',
    '/usr/share/php/Symfony/Polyfill/autoload.php',
    '/usr/share/php/Symfony/Security/Acl/autoload.php',
) as $dependencyAutoloader) {
    if (file_exists($dependencyAutoloader)) {
        require_once $dependencyAutoloader;
    }
}
if (file_exists($dep='/usr/share/php/phpDocumentor/Reflection1/autoload.php')) {
    require_once $dep;
} else if (file_exists($dep='/usr/share/php/phpDocumentor/Reflection/autoload.php')) {
    require_once $dep;
}
if (file_exists($dep='/usr/share/php/Twig2/autoload.php')) {
    require_once $dep;
} else if (file_exists($dep='/usr/share/php/Twig/autoload.php')) {
    require_once $dep;
}

return $fedoraClassLoader;
